Mailinglist Archive: opensuse-updates (94 mails)

< Previous Next >
openSUSE-RU-2013:0153-1: postgres - bugfix update
openSUSE Recommended Update: postgres - bugfix update
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:0153-1
Rating: low
References: #794766
Affected Products:
openSUSE 11.4/standard/i586/patchinfo.33
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This release fixes a significant page ordering issue with
Hot Standby which could cause index corruption on the
standby under some circumstances. In addition, this update
patches timing issues with checkpoint and transaction ID
wraparound which could cause data corruption in some cases.
This update also fixes multiple issues with CREATE INDEX
CONCURRENTLY and DROP INDEX CONCURRENTLY, which can cause
those commands to fail or produce corrupt indexes. Users
who use this feature may want to REINDEX or recreate
affected indexes


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4/standard/i586/patchinfo.33:

zypper in -t patch 2013-7

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4/standard/i586/patchinfo.33 (i586 x86_64):

libecpg6-9.0.11-21.1
libecpg6-debuginfo-9.0.11-21.1
libpq5-9.0.11-21.1
libpq5-debuginfo-9.0.11-21.1
postgresql-9.0.11-21.1
postgresql-contrib-9.0.11-21.1
postgresql-contrib-debuginfo-9.0.11-21.1
postgresql-debuginfo-9.0.11-21.1
postgresql-debugsource-9.0.11-21.1
postgresql-devel-9.0.11-21.1
postgresql-devel-debuginfo-9.0.11-21.1
postgresql-libs-debugsource-9.0.11-21.1
postgresql-plperl-9.0.11-21.1
postgresql-plperl-debuginfo-9.0.11-21.1
postgresql-plpython-9.0.11-21.1
postgresql-plpython-debuginfo-9.0.11-21.1
postgresql-pltcl-9.0.11-21.1
postgresql-pltcl-debuginfo-9.0.11-21.1
postgresql-server-9.0.11-21.1
postgresql-server-debuginfo-9.0.11-21.1

- openSUSE 11.4/standard/i586/patchinfo.33 (x86_64):

libpq5-32bit-9.0.11-21.1
libpq5-debuginfo-32bit-9.0.11-21.1

- openSUSE 11.4/standard/i586/patchinfo.33 (noarch):

postgresql-docs-9.0.11-21.1

- openSUSE 11.4/standard/i586/patchinfo.33 (ia64):

libpq5-debuginfo-x86-9.0.11-21.1
libpq5-x86-9.0.11-21.1


References:

https://bugzilla.novell.com/794766


< Previous Next >
This Thread
  • No further messages